Bug 308645 - Digikam crashed when I clicked scan faces while another scan was already running
Summary: Digikam crashed when I clicked scan faces while another scan was already running
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Faces-Engine (show other bugs)
Version: 2.9.0
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-19 09:31 UTC by Dennis Schridde
Modified: 2019-12-23 06:21 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 7.0.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dennis Schridde 2012-10-19 09:31:08 UTC
Application: digikam (2.9.0)
KDE Platform Version: 4.9.2
Qt Version: 4.8.3
Operating System: Linux 3.6.2-gentoo x86_64
Distribution: "Gentoo Base System release 2.2"

-- Information about the crash:
- What I was doing when the application crashed:

A face scan was probably (there is no UI indicating it, but I started one run only an hour ago and the disk was still active) already running and I clicked scan faces again. digikam crashed shortly afterwards.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7fa5f0f5d800 (LWP 12978))]

Thread 18 (Thread 0x7fa5ed0ad700 (LWP 12980)):
#0  0x0000003dffe0b864 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x000000397447b7a3 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x00000000005c62b8 in ?? ()
#3  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#5  0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 17 (Thread 0x7fa5ec8ac700 (LWP 12981)):
#0  0x0000003970446e02 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#2  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#3  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x0000003974478340 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003974552b5f in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#9  0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 16 (Thread 0x7fa5e7fff700 (LWP 12985)):
#0  0x0000003dffe0b864 in pthread_cond_wait () from /lib64/libpthread.so.0
#1  0x000000397447b7a3 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib64/qt4/libQtCore.so.4
#2  0x0000003996d2db51 in ?? () from /usr/lib64/libdigikamcore.so.2
#3  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#5  0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 15 (Thread 0x7fa5e5dac700 (LWP 13011)):
#0  0x00007fff2b1ff81f in clock_gettime ()
#1  0x0000003e00a03f0d in clock_gettime () from /lib64/librt.so.1
#2  0x00000039744cf584 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00000039745a0bad in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00000039745a0ef3 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x000000397459fa7c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x000000397459fb1d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#14 0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#17 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 14 (Thread 0x7fa5c40b1700 (LWP 13012)):
#0  0x0000003dff6d692d in read () from /lib64/libc.so.6
#1  0x0000003970480ae7 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003970446a18 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003970446e42 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#9  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#10 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#12 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 13 (Thread 0x7fa5c38b0700 (LWP 13013)):
#0  0x0000003dff6d692d in read () from /lib64/libc.so.6
#1  0x0000003970480ae7 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003970446a18 in g_main_context_check () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003970446e42 in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#9  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#10 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#12 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 12 (Thread 0x7fa5c30af700 (LWP 13016)):
#0  0x00007fff2b1ff81f in clock_gettime ()
#1  0x0000003e00a03f0d in clock_gettime () from /lib64/librt.so.1
#2  0x00000039744cf584 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00000039745a0bad in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00000039745a0ef3 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x000000397459fa7c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x000000397459fb1d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#14 0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#17 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 11 (Thread 0x7fa5e4d32700 (LWP 13023)):
#0  0x00007fff2b1ff81f in clock_gettime ()
#1  0x0000003e00a03f0d in clock_gettime () from /lib64/librt.so.1
#2  0x00000039744cf584 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00000039745a0bad in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00000039745a0ef3 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x000000397459fa7c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x000000397459fb1d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#14 0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#17 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 10 (Thread 0x7fa5b2659700 (LWP 13024)):
#0  0x0000003dffe0ad2e in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x0000003970481721 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003970446e57 in ?? () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#4  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#8  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#9  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#10 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#11 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7fa5b1e58700 (LWP 13025)):
#0  0x0000003970446d76 in ?? () from /usr/lib64/libglib-2.0.so.0
#1  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#2  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#3  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#6  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#7  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#9  0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7fa5b1657700 (LWP 13026)):
#0  0x00000039704546f2 in g_poll () from /usr/lib64/libglib-2.0.so.0
#1  0x0000003970446eac in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#7  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#8  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#10 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7fa5b0e56700 (LWP 13027)):
#0  0x00007fff2b1ff81f in clock_gettime ()
#1  0x0000003e00a03f0d in clock_gettime () from /lib64/librt.so.1
#2  0x00000039744cf584 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00000039745a0bad in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00000039745a0ef3 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x000000397459fa7c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x000000397459fb1d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x0000003974478340 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#14 0x0000003974552b5f in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#17 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7fa5a0875700 (LWP 13028)):
#0  0x00007fff2b1ff81f in clock_gettime ()
#1  0x0000003e00a03f0d in clock_gettime () from /lib64/librt.so.1
#2  0x00000039744cf584 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00000039745a0bad in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00000039745a0ef3 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x000000397459fa7c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x000000397459fb1d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x0000003974478340 in QThread::exec() () from /usr/lib64/qt4/libQtCore.so.4
#14 0x0000003974552b5f in QInotifyFileSystemWatcherEngine::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#17 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7fa58b7fe700 (LWP 13325)):
#0  0x00007fff2b1ff81f in clock_gettime ()
#1  0x0000003e00a03f0d in clock_gettime () from /lib64/librt.so.1
#2  0x00000039744cf584 in qt_gettime() () from /usr/lib64/qt4/libQtCore.so.4
#3  0x00000039745a0bad in QTimerInfoList::updateCurrentTime() () from /usr/lib64/qt4/libQtCore.so.4
#4  0x00000039745a0ef3 in QTimerInfoList::timerWait(timeval&) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x000000397459fa7c in timerSourcePrepareHelper(GTimerSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x000000397459fb1d in timerSourcePrepare(_GSource*, int*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#9  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#10 0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#14 0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#15 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#17 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7fa5917fa700 (LWP 13481)):
#0  0x00000039704466e6 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#1  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#4  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#5  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#7  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#8  0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#9  0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#10 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7fa5a3fff700 (LWP 14777)):
#0  0x0000003dffe0ad15 in __pthread_mutex_unlock_usercnt () from /lib64/libpthread.so.0
#1  0x0000003970481721 in g_mutex_unlock () from /usr/lib64/libglib-2.0.so.0
#2  0x00000039704466ad in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#3  0x0000003970446dcb in ?? () from /usr/lib64/libglib-2.0.so.0
#4  0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#5  0x00000039745a03ae in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#6  0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#8  0x0000003996d2d1bb in ?? () from /usr/lib64/libdigikamcore.so.2
#9  0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#10 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#12 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7fa593b34700 (LWP 14793)):
#0  0x0000003dff67fc04 in __strcmp_sse2 () from /lib64/libc.so.6
#1  0x0000003dff632108 in _nl_make_l10nflist () from /lib64/libc.so.6
#2  0x0000003dff62fee5 in _nl_find_domain () from /lib64/libc.so.6
#3  0x0000003dff62f803 in __dcigettext () from /lib64/libc.so.6
#4  0x000000397d1b6820 in dcpgettext_expr (msgid=0x7fa5e75fbdde "Unable to fetch row", msgctxt=0x7fa5e75fbce2 "QSQLiteResult", domain=0x52672f8 "kdelibs4", category=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/localization/gettext.h:208
#5  KCatalog::translateStrict (this=0x52683a0, msgctxt=0x7fa5e75fbce2 "QSQLiteResult", msgid=0x7fa5e75fbdde "Unable to fetch row") at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/localization/kcatalog.cpp:263
#6  0x000000397d1cd049 in KLocalePrivate::translateRawFrom (this=<optimized out>, catname=0x7fa593b33040 "`\342\260", msgctxt=0x7fa5e75fbce2 "QSQLiteResult", msgid=0x7fa5e75fbdde "Unable to fetch row", msgid_plural=0x0, n=0, language=0x7fa593b33110, translation=0x7fa593b33100) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/localization/klocale_kde.cpp:953
#7  0x000000397d1c5d10 in KLocalePrivate::translateQt (this=0x23436c0, context=<optimized out>, sourceText=0x7fa5e75fbdde "Unable to fetch row", comment=0x0) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/localization/klocale_kde.cpp:1018
#8  0x000000397d1c1cf1 in KLocale::translateQt (this=<optimized out>, context=<optimized out>, sourceText=<optimized out>, comment=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/localization/klocale.cpp:199
#9  0x000000397d14afb6 in KDETranslator::translate (this=<optimized out>, context=<optimized out>, sourceText=<optimized out>, message=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/kernel/kglobal_p.h:52
#10 0x0000003974591452 in QTranslator::translate(char const*, char const*, char const*, int) const () from /usr/lib64/qt4/libQtCore.so.4
#11 0x00000039745733b5 in QCoreApplication::translate(char const*, char const*, char const*, QCoreApplication::Encoding, int) () from /usr/lib64/qt4/libQtCore.so.4
#12 0x000000397457377f in QCoreApplication::translate(char const*, char const*, char const*, QCoreApplication::Encoding) () from /usr/lib64/qt4/libQtCore.so.4
#13 0x00007fa5e75fa32d in ?? () from /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
#14 0x00007fa5e75fb06f in ?? () from /usr/lib64/qt4/plugins/sqldrivers/libqsqlite.so
#15 0x0000003985e118e7 in QSqlQuery::exec() () from /usr/lib64/qt4/libQtSql.so.4
#16 0x0000003996ce1aa1 in Digikam::DatabaseCoreBackend::exec(Digikam::SqlQuery&) () from /usr/lib64/libdigikamcore.so.2
#17 0x0000003996ce3452 in Digikam::DatabaseCoreBackend::execQuery(Digikam::SqlQuery&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib64/libdigikamcore.so.2
#18 0x0000003996ce34ca in Digikam::DatabaseCoreBackend::execQuery(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&) () from /usr/lib64/libdigikamcore.so.2
#19 0x0000003996ce3525 in Digikam::DatabaseCoreBackend::execSql(QString const&, QVariant const&, QVariant const&, QVariant const&, QVariant const&, QList<QVariant>*, QVariant*) () from /usr/lib64/libdigikamcore.so.2
#20 0x0000003996ceea4d in Digikam::ThumbnailDB::insertThumbnail(Digikam::DatabaseThumbnailInfo const&, QVariant*) () from /usr/lib64/libdigikamcore.so.2
#21 0x0000003996d169e4 in Digikam::ThumbnailCreator::storeInDatabase(Digikam::ThumbnailInfo const&, Digikam::ThumbnailImage const&) const () from /usr/lib64/libdigikamcore.so.2
#22 0x0000003996d1c070 in Digikam::ThumbnailCreator::load(QString const&, QRect const&, bool) const () from /usr/lib64/libdigikamcore.so.2
#23 0x0000003996d1cecc in Digikam::ThumbnailCreator::pregenerate(QString const&) const () from /usr/lib64/libdigikamcore.so.2
#24 0x0000003996d29780 in ?? () from /usr/lib64/libdigikamcore.so.2
#25 0x0000003996cfe10e in Digikam::LoadSaveThread::run() () from /usr/lib64/libdigikamcore.so.2
#26 0x0000003996d2f2ce in Digikam::DynamicThread::DynamicThreadPriv::run() () from /usr/lib64/libdigikamcore.so.2
#27 0x000000397446f09b in QThreadPoolThread::run() () from /usr/lib64/qt4/libQtCore.so.4
#28 0x000000397447b23c in QThreadPrivate::start(void*) () from /usr/lib64/qt4/libQtCore.so.4
#29 0x0000003dffe07e0e in start_thread () from /lib64/libpthread.so.0
#30 0x0000003dff6e26bd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7fa5f0f5d800 (LWP 12978)):
[KCrash Handler]
#6  0x0000003974595ec8 in clear(QVariant::Private*) () from /usr/lib64/qt4/libQtCore.so.4
#7  0x000000399ab32b61 in Digikam::ImageModel::removeRowPairs(QList<QPair<int, int> > const&) () from /usr/lib64/libdigikamdatabase.so.2
#8  0x000000399ab349fd in Digikam::ImageModel::finishIncrementalRefresh() () from /usr/lib64/libdigikamdatabase.so.2
#9  0x0000000000565235 in ?? ()
#10 0x0000003974587ccf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#11 0x000000397d130132 in KJob::result (this=this@entry=0x6c6c000, _t1=_t1@entry=0x6c6c000) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2_build/kdecore/kjob.moc:208
#12 0x000000397d130170 in KJob::emitResult (this=0x6c6c000) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdecore/jobs/kjob.cpp:318
#13 0x0000003980af5985 in KIO::SimpleJob::slotFinished (this=this@entry=0x6c6c000) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/job.cpp:494
#14 0x0000003980afcd62 in KIO::TransferJob::slotFinished (this=0x6c6c000) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/job.cpp:1081
#15 0x0000003974587ccf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#16 0x0000003980b954b9 in KIO::SlaveInterface::dispatch (this=0x3038bc0, _cmd=104, rawdata=...) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/slaveinterface.cpp:172
#17 0x0000003980b92599 in KIO::SlaveInterface::dispatch (this=0x3038bc0) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/slaveinterface.cpp:88
#18 0x0000003980b86d7e in KIO::Slave::gotInput (this=0x3038bc0) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/slave.cpp:344
#19 0x0000003974587ccf in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib64/qt4/libQtCore.so.4
#20 0x0000003980acae18 in dequeue (this=<optimized out>) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/connection.cpp:82
#21 KIO::ConnectionPrivate::dequeue (this=0x3caad90) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kio/kio/connection.cpp:71
#22 0x00000039745871e6 in QObject::event(QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#23 0x0000003977fc928c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#24 0x0000003977fcd64a in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/qt4/libQtGui.so.4
#25 0x000000397e441926 in KApplication::notify (this=0x7fff2b14fe40, receiver=0x36c10b0, event=0x608ac30) at /var/tmp/portage/kde-base/kdelibs-4.9.2/work/kdelibs-4.9.2/kdeui/kernel/kapplication.cpp:311
#26 0x0000003974572dad in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib64/qt4/libQtCore.so.4
#27 0x0000003974576640 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () from /usr/lib64/qt4/libQtCore.so.4
#28 0x00000039745a0213 in postEventSourceDispatch(_GSource*, int (*)(void*), void*) () from /usr/lib64/qt4/libQtCore.so.4
#29 0x0000003970446bbc in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#30 0x0000003970446f14 in ?? () from /usr/lib64/libglib-2.0.so.0
#31 0x0000003970446fc4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#32 0x00000039745a0394 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#33 0x0000003978066fce in QGuiEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtGui.so.4
#34 0x0000003974571b3f in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#35 0x0000003974571dc0 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib64/qt4/libQtCore.so.4
#36 0x0000003974576928 in QCoreApplication::exec() () from /usr/lib64/qt4/libQtCore.so.4
#37 0x00000000004906ae in ?? ()
#38 0x0000003dff621425 in __libc_start_main () from /lib64/libc.so.6
#39 0x0000000000491dc1 in _start ()

This bug may be a duplicate of or related to bug 278049.

Possible duplicates by query: bug 308375, bug 307554, bug 301832, bug 296784, bug 292634.

Reported using DrKonqi
Comment 1 caulier.gilles 2012-10-19 09:36:43 UTC
Marcel,

This entry is very interresting, because trace is very similar than a lots of report but all do not explain why digiKam crash.

Here, it's clear that face detection workflow is not re-entrant...

Gilles Caulier
Comment 2 Marcel Wiesweg 2012-10-23 19:34:43 UTC
Yes but the trace is still the same... all threads are waiting somewhere, no thread is working, and the main thread crashes at some place and I dont know why. No debug info here for digikam btw, but we've seen these crashes.
Comment 3 caulier.gilles 2013-07-10 10:24:43 UTC
*** Bug 322187 has been marked as a duplicate of this bug. ***
Comment 4 caulier.gilles 2014-05-16 07:29:10 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 5 caulier.gilles 2014-06-11 21:30:39 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 6 caulier.gilles 2014-06-11 21:40:23 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 7 caulier.gilles 2014-06-18 14:40:24 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 8 caulier.gilles 2014-06-24 13:10:23 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 329873, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 9 caulier.gilles 2014-06-24 13:30:28 UTC

*** This bug has been marked as a duplicate of bug 262596 ***
Comment 10 caulier.gilles 2019-12-23 06:21:58 UTC
Problem is fixed with new 7.0.0-beta1 through this long story from this bug

https://bugs.kde.org/show_bug.cgi?id=399923

You can test digiKam 7.0.0-beta1 with bundle available here:

https://download.kde.org/unstable/digikam/

Don't hesitate to give us a fresh feedback about his entry.

Thanks in advance

Gilles Caulier